--- title: "v1 Delete queue and routing keys" slug: "delete-queue-and-routing-keys" updated: 2024-03-26T16:37:23Z published: 2024-03-26T16:37:23Z canonical: "help.rapididentity.com/delete-queue-and-routing-keys" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.rapididentity.com/llms.txt > Use this file to discover all available pages before exploring further. # v1 Delete queue and routing keys Delete/v1/tenants/{tenantId}/projects/{projectId}/subscriptions/{sub} Delete queue and routing keys SecurityAPI KeyHeader parameter nameAuthorization AWS Cognito Authorizer. Since there are no custom scopes the ID Token must be used for authorization Path parameterstenantIdstringRequired The RapidIdentity Cloud tenant id projectIdstringRequired The project id this service belongs. MUST be builtin or custom substringRequired The queue name. Responses200 Queues and routing key has been deleted objectsuccessstring 403 The request is not authorized. Check that an api key exists and that the api key is valid for the tenantId objecterrorstring 500 Unable to delete queue or dead letter queue objecterrorstring 501 The request does not have a projectId of custom or builtin objecterrorstring 503 Unable to connect to pubsub service objecterrorstring